SoRotor(3)

NAME
SoRotor - The SoRotor class is a node used to animate rotations.

SYNOPSIS

#include <Inventor/nodes/SoRotor.h>

Inherits SoRotation.

  Public Member Functions
virtual SoType getTypeId (void) const
SoRotor (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFFloat speed
SoSFBool on

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoRotor ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoRotor class is a node used to animate rotations. Insert this node in your hierarchy to apply a continuous rotation to some geometry. Since this node inherits the SoRotation node, rotation is restricted around the axis specified in the rotation field.

The angle value of the SoRotation::rotation field (inherited by this node) gives the rotation direction. If the value is larger than 0.0, the rotation will be done in the counterclockwise direction, if it is negative the rotation will be done in the clockwise direction.

Do not set the rotation value to exactly 0.0, as rotations are internally handled as quaternions, and when converting from an angle and a rotation value to a quaternion representation, the information about the angle 'gets lost' if there is no actual rotation.

Note also that the rotation will start at the given angle value.

FILE FORMAT/DEFAULTS:

Rotor {
    rotation 0 0 1  0
    speed 1
    on TRUE
}

Constructor & Destructor Documentation

  SoRotor::SoRotor (void)
Constructor.

  SoRotor::~SoRotor () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoRotor::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoRotor::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoRotation.

  const SoFieldData ** SoRotor::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoRotor::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoRotation.

Member Data Documentation

  SoSFFloat SoRotor::speed
Specifies the speed of rotation, in revolutions per second. Defaults to 1.0.

  SoSFBool SoRotor::on
Enable/disable rotation. Default enabled.

Author

Generated automatically by Doxygen for Coin from the source code.